## intel-media-driver 22.2.0+dfsg1

=== debian/changelog ===
intel-media-driver (22.2.0+dfsg1-1~mx21ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 14 Feb 2022 09:12:26 -0500

intel-media-driver (22.2.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 22.2.0+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Feb 2022 18:29:57 +0100

intel-media-driver (22.1.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 22.1.1+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 07 Feb 2022 22:30:17 +0100

intel-media-driver (22.1.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 22.1.0+dfsg1
  * debian/control: Add B-D on libdrm-dev
  * debian/copyright: Remove new non-free kernels

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 30 Dec 2021 23:54:55 +0100

intel-media-driver (21.4.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 21.4.2+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Nov 2021 15:41:11 +0100

=== debian/control ===
Source: intel-media-driver
Section: video
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-libva,
 cmake,
 libdrm-dev,
 libigdgmm-dev (>= 21.1.1),
 libva-dev (>= 2.12),
 libx11-dev,
 pkg-config,
Standards-Version: 4.6.0
Homepage: https://github.com/intel/media-driver
Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-media-driver
Vcs-Git: https://salsa.debian.org/multimedia-team/intel-media-driver.git
Rules-Requires-Root: no

Package: intel-media-va-driver
Architecture: amd64 i386 x32
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 va-driver
Description: VAAPI driver for the Intel GEN8+ Graphics family
 The VA-API (Video Acceleration API) enables hardware accelerated video
 decode/encode at various entry-points (VLD, IDCT, Motion Compensation
 etc.) for the prevailing coding standards today (MPEG-2, MPEG-4
 ASP/H.263, MPEG-4 AVC/H.264, and VC-1/WMV3). It provides an interface
 to fully expose the video decode capabilities in today's GPUs.
 .
 This package contains the video decode and encode driver backend for
 the Intel HD Graphics of the Intel Core processor family. The supported
 platforms include:
  * Broadwell
  * Skylake
  * Broxton
  * Apollo Lake
  * Kaby Lake
  * Coffee Lake
  * Whiskey Lake
  * Cannon Lake
  * Ice Lake
 .
 Only a limited set of encoders is available via this driver: JPEG
 (Skylake and newer), AVC (Boxton and newer), HEVC and VP9 (Ice Lake and
 newer). Media shaders are only available on Ice Lake and newer.

Package: libigfxcmrt7
Section: libs
Architecture: amd64 i386 x32
Multi-Arch: same
Depends:
 intel-media-va-driver (= ${binary:Version}) | intel-media-va-driver-non-free (>= ${source:Upstream-Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Intel C for Media Runtime -- shared library
 cmrtlib is a runtime library needed when user wants to execute their
 own GPU kernels on render engine. It calls iHD media driver to load
 the kernels and allocate the resources. It provides a set of APIs for
 user to call directly from application.
 .
 This package includes the shared library.

Package: libigfxcmrt-dev
Section: libdevel
Architecture: amd64 i386 x32
Multi-Arch: same
Depends:
 libigfxcmrt7 (= ${binary:Version}),
 ${misc:Depends},
Description: Intel C for Media Runtime -- development files
 cmrtlib is a runtime library needed when user wants to execute their
 own GPU kernels on render engine. It calls iHD media driver to load
 the kernels and allocate the resources. It provides a set of APIs for
 user to call directly from application.
 .
 This package includes files for development.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=future=+lfs

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_configure:
	dh_auto_configure -- \
		-DINSTALL_DRIVER_SYSCONF=OFF \
		-DENABLE_KERNELS=ON \
		-DENABLE_NONFREE_KERNELS=OFF \
		-DBUILD_CMRTLIB=ON

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	# Requires Broadwell or newer, so check for SSE 4.2 support at least.
	if grep -q sse4_2 /proc/cpuinfo && grep -q GenuineIntel /proc/cpuinfo; then dh_auto_test; fi
endif

## intel-media-driver 22.3.1+dfsg1

=== Tools/MediaDriverTools/KrnToHex/CMakeLists.txt ===
# Copyright (c) 2019, Intel Corporation
#
# Permission is hereby granted,free of charge, to any person obtaining a 
# copy of this software and associated documentation files (the "Software"), 
# to deal in the Software without restriction, including without limitation 
# the rights to use, copy, modify, merge, publish, distribute, sublicense, 
# and/or sell copies of the Software, and to permit persons to whom the 
# Software is furnished to do so, subject to the following conditions: 
# 
# The above copyright notice and this permission notice shall be included 
# in all copies or substantial portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS 
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,DAMAGES OR 
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
# OTHER DEALINGS IN THE SOFTWARE.

cmake_minimum_required (VERSION 2.8)
project(KrnToHexTool) 
add_compile_options(-std=c++11)

add_definitions(-DLINUX_) 

add_executable(KrnToHex KrnToHex.cpp)

=== debian/changelog ===
intel-media-driver (22.3.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 22.3.1+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 04 Apr 2022 23:23:14 +0200

intel-media-driver (22.3.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 22.3.0+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 30 Mar 2022 21:25:56 +0200

intel-media-driver (22.2.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 22.2.1+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 23 Feb 2022 09:17:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: intel-media-driver
 Section: video
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 %:
 	dh $@
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## intel-media-driver 22.4.3+dfsg1

=== CMakeLists.txt ===
# Copyright (c) 2017-2022, Intel Corporation
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.

cmake_minimum_required(VERSION 3.5)
project(IntelMediaDriver)

set(MEDIA_VERSION "22.4.3${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)

include(os_release_info.cmake)

get_os_release_info(os_name os_version)

if(NOT DEFINED CMAKE_INSTALL_PREFIX OR CMAKE_INSTALL_PREFIX STREQUAL "")
    set(CMAKE_INSTALL_PREFIX "/usr/local" CACHE PATH "..." FORCE)
endif()
message(STATUS "CMAKE_INSTALL_PREFIX = ${CMAKE_INSTALL_PREFIX}")

if("${os_name}" STREQUAL "clear-linux-os")
    # clear-linux-os distribution avoids /etc for distribution defaults.
    # Set this variable explicitly before including GNUInstallDirs.
    set(CMAKE_INSTALL_SYSCONFDIR "usr/share/defaults/etc")
endif()

include(CMakeDependentOption)

option (ENABLE_KERNELS "Build driver with shaders (kernels) support" ON)
# ENABLE_NONFREE_KERNELS option permits to enable closed source EU shaders (kernels)
# additionally to open source EU shaders and fixed function hardware.
cmake_dependent_option( ENABLE_NONFREE_KERNELS
    "Use closed source pre-built  binary shaders (kernels)" ON
    "ENABLE_KERNELS" OFF)
cmake_dependent_option( BUILD_KERNELS
    "Rebuild shaders (kernels) from sources" OFF
    "ENABLE_KERNELS;NOT ENABLE_NONFREE_KERNELS" OFF)
option (BUILD_CMRTLIB "Build and Install cmrtlib together with media driver" ON)

option (ENABLE_PRODUCTION_KMD "Enable Production KMD header files" OFF)

include(GNUInstallDirs)

if (BUILD_CMRTLIB AND NOT CMAKE_WDDM_LINUX)
    add_subdirectory(cmrtlib)
endif()

if (BUILD_KERNELS)
    find_program(IGA iga64)
    if (NOT IGA)
        message(FATAL_ERROR "Failed to find IGA")
    endif()

    find_program(CMC cmc)
    if (NOT CMC)
        message(FATAL_ERROR "Failed to find CMC")
    endif()

    find_program(PYTHON python)
    if (NOT PYTHON)
        message(FATAL_ERROR "Failed to find PYTHON")
    endif()

    add_subdirectory(Tools/MediaDriverTools)
endif()

add_subdirectory(media_driver)

if("${LIBVA_DRIVERS_PATH}" STREQUAL "")
    set(LIBVA_DRIVERS_PATH "${CMAKE_INSTALL_FULL_LIBDIR}/dri/")
endif()
message(STATUS "LIBVA_DRIVERS_PATH = ${LIBVA_DRIVERS_PATH}")

install (PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/media_driver/iHD_drv_video.so DESTINATION ${LIBVA_DRIVERS_PATH} COMPONENT media)

option (INSTALL_DRIVER_SYSCONF "Install driver system configuration file" OFF)
if (INSTALL_DRIVER_SYSCONF)
    configure_file (
        ${CMAKE_CURRENT_SOURCE_DIR}/media_driver/cmake/linux/intel-media.sh.in
        ${CMAKE_CURRENT_BINARY_DIR}/media_driver/cmake/linux/intel-media.sh)
    install (FILES ${CMAKE_CURRENT_BINARY_DIR}/media_driver/cmake/linux/intel-media.sh
        DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/profile.d/ COMPONENT media)
endif()

include(${CMAKE_CURRENT_LIST_DIR}/pack_ext.cmake OPTIONAL)

if (NOT MEDIA_PACKING)
    set(CPACK_GENERATOR "DEB" "RPM")
else()
    set(CPACK_GENERATOR ${MEDIA_PACKAGING})
endif()
set(CPACK_PACKAGE_NAME "intel-media")
set(CPACK_PACKAGE_VENDOR "Intel")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "intel-media Open Source Driver")
set(CPACK_RPM_PACKAGE_ARCHITECTURE "x86_64")
set(CPACK_RPM_PACKAGE_GROUP "System Environment/Libraries")
set(CPACK_RPM_PACKAGE_LICENSE "Intel")

set(CPACK_PACKAGE_VERSION ${MEDIA_VERSION})

set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Intel")

# Create Distro OS initial based on 1st-2nd letter of string
# or label "generic" for unsupported/unknown distros for CPACK_PACKAGE_FILE_NAME
if("${os_name}" STREQUAL "ubuntu")
    set(DISTRO_INFO "u${os_version}")
elseif("${os_name}" STREQUAL "fedora")
    set(DISTRO_INFO "f${os_version}")
elseif("${os_name}" STREQUAL "clear-linux-os")
    set(DISTRO_INFO "cl${os_version}")
elseif("${os_name}" STREQUAL "centos")
    set(DISTRO_INFO "ce${os_version}")
else()
    set(DISTRO_INFO "generic")
endif()

# Format Package Version and Build Type Strings for CPACK_PACKAGE_FILE_NAME
string(TOLOWER "${BUILD_TYPE}.${CPACK_RPM_PACKAGE_ARCHITECTURE}" PACKAGE_TYPE)

set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-${DISTRO_INFO}-${PACKAGE_TYPE}")

include(CPack)

=== debian/changelog ===
intel-media-driver (22.4.3+dfsg1-1) unstable; urgency=medium

  * New upstream version 22.4.3+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 16 Jun 2022 22:55:24 +0200

intel-media-driver (22.4.2+dfsg1-2) unstable; urgency=medium

  * debian/patches: Fix driver crash with no kernel binary (Closes: #1008776)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 04 Jun 2022 12:41:45 +0200

intel-media-driver (22.4.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 22.4.2+dfsg1
  * debian/copyright: Update after renaming of files
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 26 May 2022 10:25:44 +0200

intel-media-driver (22.4.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 22.4.0+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 24 Apr 2022 23:08:55 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libva-dev (>= 2.12),
  libx11-dev,
  pkg-config,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/intel/media-driver
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-media-driver
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-media-driver.git

## intel-media-driver 23.1.0+dfsg1

=== debian/changelog ===
intel-media-driver (23.1.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 23.1.0+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 22 Jan 2023 10:20:56 +0100

intel-media-driver (22.6.6+dfsg1-1) unstable; urgency=medium

  * New upstream version 22.6.6+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Jan 2023 15:43:28 +0100

intel-media-driver (22.6.5+dfsg1-1) unstable; urgency=medium

  * New upstream version 22.6.5+dfsg1
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 05 Jan 2023 14:05:30 +0100

intel-media-driver (22.6.4+dfsg1-1) unstable; urgency=medium

  * New upstream version 22.6.4+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 10 Dec 2022 23:22:33 +0100

intel-media-driver (22.6.3+dfsg1-1) unstable; urgency=medium

  * debian/copyright: Update paths of removed files
  * New upstream version 22.6.3+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 21 Nov 2022 23:11:19 +0100

intel-media-driver (22.6.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 22.6.1+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 06 Nov 2022 20:45:34 +0100

intel-media-driver (22.6.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 22.6.0+dfsg1
    - Fix build with libva 2.16 (Closes: 1022327)
  * debian/patches:
    - Remove patches integrated upstream
    - Apply upstream patches to handle non-free kernels

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 24 Oct 2022 20:49:26 +0200

intel-media-driver (22.5.3+dfsg1-1) unstable; urgency=medium

  * New upstream version 22.5.3+dfsg1
  * debian/rules: Set ARCH
  * debian/patches:
    - Remove upstream patch
    - Apply upstream patch to fix build on i386

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 23 Sep 2022 23:49:33 +0200

intel-media-driver (22.5.1+dfsg1+really22.4.3-2) unstable; urgency=medium

  * debian/: Build without -Werror

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 17 Sep 2022 11:42:26 +0200

intel-media-driver (22.5.1+dfsg1+really22.4.3-1) unstable; urgency=medium

  * Revert to upstream version 22.4.3 (Closes: #1016953)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 17 Sep 2022 10:17:13 +0200

intel-media-driver (22.5.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 22.5.1+dfsg1
  * debian/patches: Remove upstream patch

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 02 Aug 2022 22:04:32 +0200

## intel-media-driver 23.1.1+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 cmake_minimum_required(VERSION 3.5)
 project(IntelMediaDriver)
 
-set(MEDIA_VERSION "22.4.3${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
+set(MEDIA_VERSION "23.1.1${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
 
 include(os_release_info.cmake)

=== debian/changelog ===
intel-media-driver (23.1.1+dfsg1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 06 May 2023 21:43:18 -0400

intel-media-driver (23.1.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 23.1.1+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 18 Feb 2023 13:42:19 +0100

intel-media-driver (22.6.5+dfsg1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Nicholas D Steeves <sten@debian.org>  Wed, 11 Jan 2023 15:19:41 -0500

intel-media-driver (22.2.1+dfsg1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 29 Apr 2022 20:50:15 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libva-dev (>= 2.12),
  libx11-dev,
  pkg-config,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/intel/media-driver
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-media-driver
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-media-driver.git

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS=future=+lfs
 
@@ -10,7 +12,9 @@
 		-DINSTALL_DRIVER_SYSCONF=OFF \
 		-DENABLE_KERNELS=ON \
 		-DENABLE_NONFREE_KERNELS=OFF \
-		-DBUILD_CMRTLIB=ON
+		-DBUILD_CMRTLIB=ON \
+		-DARCH=$(DEB_HOST_ARCH_BITS) \
+		-DMEDIA_BUILD_FATAL_WARNINGS=OFF
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))

## intel-media-driver 23.1.2+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 cmake_minimum_required(VERSION 3.5)
 project(IntelMediaDriver)
 
-set(MEDIA_VERSION "23.1.1${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
+set(MEDIA_VERSION "23.1.2${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
 
 include(os_release_info.cmake)

=== debian/changelog ===
intel-media-driver (23.1.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 23.1.2+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 03 Mar 2023 21:35:09 +0100

## intel-media-driver 23.2.3+dfsg1

=== debian/changelog ===
intel-media-driver (23.2.3+dfsg1-1) unstable; urgency=medium

  * New upstream version 23.2.3+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 01 Jul 2023 18:16:57 +0200

## intel-media-driver 24.1.0+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,8 +20,12 @@
 
 cmake_minimum_required(VERSION 3.5)
 project(IntelMediaDriver)
+set(MEDIA_VERSION "24.1.0${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
 
-set(MEDIA_VERSION "23.1.2${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
+
+
+
+
 
 include(os_release_info.cmake)

=== Tools/MediaDriverTools/KernelBinToSource/CMakeLists.txt ===
# Copyright (c) 2017, Intel Corporation
#
# Permission is hereby granted,free of charge, to any person obtaining a 
# copy of this software and associated documentation files (the "Software"), 
# to deal in the Software without restriction, including without limitation 
# the rights to use, copy, modify, merge, publish, distribute, sublicense, 
# and/or sell copies of the Software, and to permit persons to whom the 
# Software is furnished to do so, subject to the following conditions: 
# 
# The above copyright notice and this permission notice shall be included 
# in all copies or substantial portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS 
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,DAMAGES OR 
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
# OTHER DEALINGS IN THE SOFTWARE.

cmake_minimum_required (VERSION 2.8)
project(IntelKernelBinToSourceTool) 
add_compile_options(-std=c++11)

add_definitions(-DLINUX_) 

add_executable(KernelBinToSource KernelBinToSource.cpp)

=== debian/changelog ===
intel-media-driver (24.1.0+dfsg1-1ubuntu0.1) noble; urgency=medium

  * Fix hardware encode/decode for Intel Arrowlake iGPU (LP: #2116923)
    - d/p/lp-2116923-Decode-Add-device-ID-for-ARL.patch

 -- Hector Cao <hector.cao@canonical.com>  Tue, 15 Jul 2025 08:56:47 +0000

intel-media-driver (24.1.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 24.1.0+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 29 Dec 2023 20:49:46 +0100

intel-media-driver (23.4.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 23.4.2+dfsg1
  * debian/copyright: Remove no longer included files

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Dec 2023 00:35:08 +0100

intel-media-driver (23.3.5+dfsg1-1) unstable; urgency=medium

  * New upstream version 23.3.5+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 21 Oct 2023 21:53:40 +0200

intel-media-driver (23.3.4+dfsg1-1) unstable; urgency=medium

  * New upstream version 23.3.4+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Oct 2023 22:36:58 +0200

intel-media-driver (23.3.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 23.3.2+dfsg1
  * debian/: Build with ninja

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Sep 2023 21:15:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: intel-media-driver
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
@@ -12,6 +13,7 @@
  libigdgmm-dev (>= 21.1.1),
  libva-dev (>= 2.12),
  libx11-dev,
+ ninja-build,
  pkg-config,
 Standards-Version: 4.6.2
 Homepage: https://github.com/intel/media-driver

## intel-media-driver 24.2.2+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 cmake_minimum_required(VERSION 3.5)
 project(IntelMediaDriver)
-set(MEDIA_VERSION "24.1.0${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
+set(MEDIA_VERSION "24.2.2${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)

=== debian/changelog ===
intel-media-driver (24.2.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 24.2.2+dfsg1
  * debian/control:
    - Bump Standards-Version
    - Use pkgconf
  * debian/copyright: Bump copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 09 May 2024 18:23:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: intel-media-driver
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
@@ -14,8 +13,8 @@
  libva-dev (>= 2.12),
  libx11-dev,
  ninja-build,
- pkg-config,
-Standards-Version: 4.6.2
+ pkgconf,
+Standards-Version: 4.7.0
 Homepage: https://github.com/intel/media-driver
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-media-driver
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-media-driver.git

## intel-media-driver 24.3.4+dfsg1

=== debian/changelog ===
intel-media-driver (24.3.4+dfsg1-0ubuntu1) oracular; urgency=medium

  * New upstream version. (LP: #2082015)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 27 Sep 2024 17:23:15 +0300

intel-media-driver (24.2.5+dfsg1-1) unstable; urgency=medium

  * New upstream version 24.2.5+dfsg1
  * debian/control: Bump libigdgmm-dev to 22.4.1 for new constants

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 14 Jul 2024 12:59:20 +0200

## intel-media-driver 25.1.0+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 cmake_minimum_required(VERSION 3.5)
 project(IntelMediaDriver)
-set(MEDIA_VERSION "24.2.2${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
+set(MEDIA_VERSION "25.1.0${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)

=== debian/changelog ===
intel-media-driver (25.1.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 25.1.0+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 17 Jan 2025 21:59:54 +0100

intel-media-driver (24.4.4+dfsg1-1) unstable; urgency=medium

  * New upstream version 24.4.4+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Dec 2024 20:58:19 +0100

intel-media-driver (24.4.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 24.4.0+dfsg1
  * debian/copyright: Remove new non-free kernels

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 Oct 2024 13:25:43 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-sequence-libva,
  cmake,
  libdrm-dev,
- libigdgmm-dev (>= 21.1.1),
+ libigdgmm-dev (>= 22.4.1),
  libva-dev (>= 2.12),
  libx11-dev,
  ninja-build,

## intel-media-driver 25.1.2+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 cmake_minimum_required(VERSION 3.5)
 project(IntelMediaDriver)
-set(MEDIA_VERSION "25.1.0${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
+set(MEDIA_VERSION "25.1.2${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)

=== debian/changelog ===
intel-media-driver (25.1.2+dfsg1-1ubuntu2) plucky; urgency=medium

  * Backport patch to add Battlemage PCI ID 0xE211 (LP: #2106038) 

 -- Shane McKee <shane.mckee@canonical.com>  Thu, 03 Apr 2025 15:48:12 +0400

intel-media-driver (25.1.2+dfsg1-1ubuntu1) plucky; urgency=medium

  * Backport patches to add BMG PCI IDS (LP: #2104011)

 -- Shane McKee <shane.mckee@canonical.com>  Tue, 25 Mar 2025 01:27:53 +0800

intel-media-driver (25.1.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 25.1.2+dfsg1
  * Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 28 Feb 2025 22:18:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: intel-media-driver
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
@@ -14,7 +15,7 @@
  libx11-dev,
  ninja-build,
  pkgconf,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/intel/media-driver
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-media-driver
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-media-driver.git

## intel-media-driver 25.1.3+dfsg1

=== debian/changelog ===
intel-media-driver (25.1.3+dfsg1-1) unstable; urgency=medium

  * New upstream version 25.1.3+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 13 Mar 2025 19:40:01 +0100

## intel-media-driver 25.1.4+dfsg1

=== debian/changelog ===
intel-media-driver (25.1.4+dfsg1-1) unstable; urgency=medium

  * New upstream version 25.1.4+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 02 Apr 2025 21:57:51 +0200

## intel-media-driver 25.2.1+dfsg1

=== debian/changelog ===
intel-media-driver (25.2.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 25.2.1+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 24 Apr 2025 16:31:47 +0200

## intel-media-driver 25.2.3+dfsg1

=== debian/changelog ===
intel-media-driver (25.2.3+dfsg1-1) unstable; urgency=medium

  * New upstream version 25.2.3+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 23 May 2025 18:52:24 +0200

## intel-media-driver 25.2.6

=== debian/changelog ===
intel-media-driver (25.2.6-1ppa1~noble3) noble; urgency=medium

  * debian/patches: Update PTL/WCL caps
    - 0014-Decode-update-linux-WCL-decode-caps-not-report-VVC.patch
    - 0015-Encode-PDVT-SH-Remove-PTL-AV1-444-Caps.patch

 -- Hoe, Sheng Yang <sheng.yang.hoe@intel.com>  Wed, 24 Sep 2025 18:33:45 +0800

intel-media-driver (25.2.6-1ppa1~noble2) noble; urgency=medium

  * Add fixed for VDI on XE/i915 kernel
    -0012-accept-cacheable-setting-from-libva.patch
    -0013-Mark-the-imported-dmabuf-as-cacheable-in-Media-Libva.patch

 -- Mazlan, Hazwan Arif <hazwan.arif.mazlan@intel.com>  Wed, 03 Sep 2025 16:10:18 +0800

intel-media-driver (25.2.6-1ppa1~noble1) noble; urgency=medium

  * Bump to 25.2.6

  *d/p: drop patches already merged
    -0001-VP-Add-Stateful-Surface-for-bti-remove.patch
    -0002-Encode-PDVT-SH-Upstream-cmds-update-and-build-error-.patch
    -0004-VP-Change-Stateless-Buffer-to-AddResourceToCmd.patch
    -0005-Encode-PDVT-SH-upstream-encode-hal-files-for-PTL.patch
    -0006-PDVT-SH-Upstream-Update-AV1-Encode-Caps.patch
    -0007-Encode-PDVT-SH-Update-media-interface-for-PTL.patch
    -0001-Encode-Fix-unchecked-reture-coverity-issue.patch
    -0001-Encode-PDVT-SH-Fix-av1-open-source-failure.patch

  *d/p: rebased patches
    -0002-Decode-Fix-MHW-interface-for-AVC-10-decode.patch

 -- Mustaffa, Mustamin B <mustamin.b.mustaffa@intel.com>  Wed, 27 Aug 2025 11:27:04 +0800

intel-media-driver (25.2.3-1ppa1~noble4) noble; urgency=medium

  * debian/patches: Add HEVC 422 encode for MTL/ARL
    - 0001-Encode-Add-YUY2-and-Y210-caps-for-MTL-ARL-HEVC-encod.patch
  * debian/patches: Fix ACM gstreamer-va HEVC 422 CBR/VBR encode
    - 0001-Encode-Fix-ACM-HEVC-VDENC-422-CBR-VBR.patch 

 -- Hoe, Sheng Yang <sheng.yang.hoe@intel.com>  Mon, 11 Aug 2025 20:55:16 +0800

intel-media-driver (25.2.3-1ppa1~noble3) noble; urgency=medium

  * debian/patches: Fix AV1 encode failure
    - 0001-Encode-PDVT-SH-Fix-av1-open-source-failure.patch

 -- Hoe, Sheng Yang <sheng.yang.hoe@intel.com>  Fri, 04 Jul 2025 08:37:08 +0800

intel-media-driver (25.2.3-1ppa1~noble2) noble; urgency=medium

  * debian/patches: Add AVC 10b decode for PTL
    - 0001-Decode-Add-AVC-10-Bit-decode.patch
    - 0002-Decode-Fix-MHW-interface-for-AVC-10-decode.patch

 -- Cheah, Vincent Beng Keat  <vincent.beng.keat.cheah@intel.com>  Mon, 23 Jun 2025 21:10:17 +0800

intel-media-driver (25.2.3-1ppa1~noble1) noble; urgency=medium

  * Bump to 25.2.3

  * d/p: drop patches already merged
    - 0007-Add-BMG-E-NEX1-and-NEX2-Device-ID.patch
    - 0010-Upstream-BMG-DevID-upstream.patch

  * d/p: add list of patches for PTL media
    - 0001-VP-Add-Stateful-Surface-for-bti-remove.patch
    - 0002-Encode-PDVT-SH-Upstream-cmds-update-and-build-error-.patch
    - 0004-VP-Change-Stateless-Buffer-to-AddResourceToCmd.patch
    - 0005-Encode-PDVT-SH-upstream-encode-hal-files-for-PTL.patch
    - 0006-PDVT-SH-Upstream-Update-AV1-Encode-Caps.patch
    - 0007-Encode-PDVT-SH-Update-media-interface-for-PTL.patch
    - 0001-Encode-Fix-unchecked-reture-coverity-issue.patch

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Thu, 05 Jun 2025 16:04:57 +0800

intel-media-driver (25.1.4-1ppa1~noble4) noble; urgency=medium

  * debian/patches: [Upstream] BMG DevID upstream
    - 0010-Upstream-BMG-DevID-upstream.patch 

 -- Abd Razak, Muhammad Azizul Hazim <muhammad.azizul.hazim.abd.razak@intel.com>  Wed, 21 May 2025 10:41:01 +0800

intel-media-driver (25.1.4-1ppa1~noble3) noble; urgency=medium

  * debian/patches: Disable Xe3_Lpm VD-SFC
    - 0009-Decode-Disable-Xe3_Lpm-VD-SFC.patch

 -- Cheah, Vincent Beng Keat  <vincent.beng.keat.cheah@intel.com>  Fri, 16 May 2025 14:34:38 +0800

intel-media-driver (25.1.4-1ppa1~noble2) noble; urgency=medium

  * debian/patches: [Media Common] Add profile & entrypoint check
    - 0008-Media-Common-Add-profile-entrypoint-check.patch

 -- Abd Razak, Muhammad Azizul Hazim <muhammad.azizul.hazim.abd.razak@intel.com>  Fri, 09 May 2025 15:22:29 +0800

intel-media-driver (25.1.4-1ppa1~noble1) noble; urgency=medium

  * Bump to 25.1.4444
  * d/p: drop patches already merged.
    - 0006-Change-RGB-mask-and-order-for-BMG.patch
    - 0007-VP-Fix-GST-VA-Video-output-of-Color-conversion-UYVY-.patch

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Thu, 27 Mar 2025 18:54:37 +0800

intel-media-driver (24.4.4-1ppa1~noble2) noble; urgency=medium

  * debian/patches: Add BMG-E NX1 and NX2 device id.
    - 0007-Add-BMG-E-NEX1-and-NEX2-Device-ID.patch

 --  Lim, Siew Hoon <siew.hoon.lim@intel.com>  Thu, 06 Feb 2025 08:59:58 +0800

intel-media-driver (24.4.4-1ppa1~noble1) noble; urgency=medium

  * Bump to 24.4.4
  * debian/control: updated libigdgmm-dev 22.4.1 -> 22.5.5
  * debian/patches: rework a list of patches
    - 0001-Integrate-unit-tests-in-cmake-s-test-framework.patch
    - 0002-Remove-settings-based-on-ARCH.patch
    - 0003-Force-ARGB-surface-to-tile4-for-ACM.patch
    - 0004-Fix-failed-4k-videowalll-test-case-and-color-corrupt.patch
    - 0005-Fix-ACM-multi-channel-AVC-encode-performance-degrada.patch
    - 0006-Change-RGB-mask-and-order-for-BMG.patch

  * debian/patches: drop list of patches already merged
    - 0006-Change-RGB-mask-and-order.patch
    - 0007-Encode-Add-Y210-caps-for-BMG-HEVC-encode.patch

  * debian/patches: Fixed UVYV to RGB32 color corruption issue.
    - 0007-VP-Fix-GST-VA-Video-output-of-Color-conversion-UYVY-.patch

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Tue, 07 Jan 2025 14:54:30 +0800

intel-media-driver (24.4.1-1ppa1~noble3) noble; urgency=medium

  * debian/patches: Fix BMG vapostproc RGB CSC
    - 0008-VP-Change-RGB-mask-and-order-for-BMG.patch

 -- Hoe, Sheng Yang <sheng.yang.hoe@intel.com>  Tue, 26 Nov 2024 15:43:26 +0800

intel-media-driver (24.4.1-1ppa1~noble2) noble; urgency=medium

  * debian/patches: Add Y210 caps for BMG HEVC encode
  - 0007-Encode-Add-Y210-caps-for-BMG-HEVC-encode.patch

 -- Hoe, Sheng Yang <sheng.yang.hoe@intel.com>  Mon, 04 Nov 2024 17:21:39 +0800



=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: intel-media-driver
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
@@ -10,11 +9,11 @@
  dh-sequence-libva,
  cmake,
  libdrm-dev,
- libigdgmm-dev (>= 22.4.1),
- libva-dev (>= 2.12),
+ libigdgmm-dev (>= 22.5.5),
+ libva-dev (>= 2.22.0-1ppa1~noble2),
  libx11-dev,
  ninja-build,
- pkgconf,
+ pkg-config,
 Standards-Version: 4.7.2
 Homepage: https://github.com/intel/media-driver
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-media-driver

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_BUILD_MAINT_OPTIONS=future=+lfs
 
 %:
-	dh $@
+	dh $@ -Scmake+ninja
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -21,3 +21,9 @@
 	# Requires Broadwell or newer, so check for SSE 4.2 support at least.
 	if grep -q sse4_2 /proc/cpuinfo && grep -q GenuineIntel /proc/cpuinfo; then dh_auto_test; fi
 endif
+
+override_dh_auto_install:
+	install -d debian/tmp/etc
+	install -m 644 debian/local/igfx_user_feature_next.txt debian/tmp/etc/igfx_user_feature_next.txt
+	install -m 644 debian/local/igfx_user_feature.txt debian/tmp/etc/igfx_user_feature.txt
+	dh_auto_install

## intel-media-driver 25.3.0+dfsg1

=== debian/changelog ===
intel-media-driver (25.3.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 25.3.0+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 28 Jul 2025 21:50:49 +0200

## intel-media-driver 25.3.4

=== debian/changelog ===
intel-media-driver (25.3.4-1ppa1~noble4) noble; urgency=medium

  * intel/patches: Fix MTL/ARL HEVC 422 encode performance
    - 0013-Media-Common-Set-Cacheable-flag-from-params.patch

 -- Hoe, Sheng Yang <sheng.yang.hoe@intel.com>  Tue, 18 Nov 2025 14:50:07 +0800

intel-media-driver (25.3.4-1ppa1~noble3) noble; urgency=medium

  * intel/patches: Add AVC 10b decode for WCL
    -0012-Decode-Add-AVC-10-Bit-decode-for-WCL.patch

 -- Fan, Daniel Chun Yin <daniel.chun.yin.fan@intel.com>  Thu, 06 Nov 2025 18:10:17 +0800

intel-media-driver (25.3.4-1ppa1~noble2) noble; urgency=medium

  * debian/patches: restructure for upstream tracking

 -- Tan, Wen Yan <wen.yan.tan@intel.com>  Mon, 27 Oct 2025 09:37:55 +0800

intel-media-driver (25.3.4-1ppa1~noble1) noble; urgency=medium

  * Bump to 25.3.4

  *d/p: drop patches already merged
    -0012-accept-cacheable-setting-from-libva.patch
    -0014-Decode-update-linux-WCL-decode-caps-not-report-VVC.patch 

 -- Mustamin Bin Mustaffa <mustamin.b.mustaffa@intel.com>  Fri, 17 Oct 2025 15:23:00 +0800

intel-media-driver (25.2.6-1ppa1~noble4) noble; urgency=medium

  * debian/p: drop patches already merged.
    - 0005-Fix-ACM-multi-channel-AVC-encode-performance-degrada.patch

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Mon, 13 Oct 2025 15:38:28 +0800

## intel-media-driver 25.3.4%2Bdfsg1

=== Tools/MediaDriverTools/KrnToHex_IGA/CMakeLists.txt ===
# Copyright (c) 2017, Intel Corporation
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.

cmake_minimum_required(VERSION 2.6)

project(KrnToHex_IGA)

set(SOURCE_
    KrnToHex_IGA.cpp
)

add_definitions(-DLINUX_)

add_executable(KrnToHex_IGA ${SOURCE_})

## intel-media-driver 25.3.4+dfsg1

=== Tools/MediaDriverTools/CMakeLists.txt ===
# Copyright (c) 2017, Intel Corporation
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.

add_subdirectory(GenKrnBin)
add_subdirectory(KernelBinToSource)
add_subdirectory(KrnToHex_IGA)
add_subdirectory(KrnToHex)
add_subdirectory(GenDmyHex)

=== media_driver/linux/ult/CMakeLists.txt ===
# Copyright (c) 2018, Intel Corporation
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.
cmake_minimum_required(VERSION 3.1)

if ("${BUILD_TYPE}" STREQUAL "debug")
    set(CMAKE_BUILD_TYPE "Debug")
    add_definitions(-D_DEBUG)
elseif ("${BUILD_TYPE}" STREQUAL "release-internal")
    set(CMAKE_BUILD_TYPE "ReleaseInternal")
    add_definitions(-D_RELEASE_INTERNAL)
else ()
    if (NOT "${BUILD_TYPE}" STREQUAL "release")
        message("-- devult -- No valid build type specified, set to release as default")
    endif ()
    set(CMAKE_BUILD_TYPE "Release")
    add_definitions(-D_RELEASE)
endif ()

#-fno-plt is a GCC option to disable the use of PLT for external function calls in position-independent code.
#This option is by default enabled on some Linux distributions such as Arch Linux, which can cause link error.
string(REPLACE "-fno-plt" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")

if (NOT "${LIBVA_INSTALL_PATH}" STREQUAL "")
    include_directories(BEFORE ${LIBVA_INSTALL_PATH})
elseif (DEFINED ENV{LIBVA_INSTALL_PATH} AND NOT "$ENV{LIBVA_INSTALL_PATH}" STREQUAL "")
    include_directories(BEFORE $ENV{LIBVA_INSTALL_PATH})
else ()
    include(FindPkgConfig)
    pkg_check_modules(LIBVA REQUIRED libva>=1.8.0)
    if (LIBVA_FOUND)
        include_directories(BEFORE ${LIBVA_INCLUDE_DIRS})
    endif ()
endif ()

add_subdirectory(libdrm_mock)
add_subdirectory(ult_app)

enable_testing()
add_test(NAME test_devult COMMAND devult ${UMD_PATH})
set_tests_properties(test_devult
    PROPERTIES PASS_REGULAR_EXPRESSION "PASS")
set_tests_properties(test_devult
    PROPERTIES FAIL_REGULAR_EXPRESSION "FAIL")

=== debian/changelog ===
intel-media-driver (25.3.4+dfsg1-1) unstable; urgency=medium

  * New upstream version 25.3.4+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 22 Sep 2025 22:18:25 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
  dh-sequence-libva,
  cmake,
  libdrm-dev,
- libigdgmm-dev (>= 22.5.5),
- libva-dev (>= 2.22.0-1ppa1~noble2),
+ libigdgmm-dev (>= 22.4.1),
+ libva-dev (>= 2.12),
  libx11-dev,
  ninja-build,
- pkg-config,
+ pkgconf,
 Standards-Version: 4.7.2
 Homepage: https://github.com/intel/media-driver
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-media-driver
